Bug 1197073 - (CVE-2022-0924) VUL-0: CVE-2022-0924: tiff: Out-of-bounds Read error in tiffcp
(CVE-2022-0924)
VUL-0: CVE-2022-0924: tiff: Out-of-bounds Read error in tiffcp
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/326048/
CVSSv3.1:SUSE:CVE-2022-0924:6.2:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-14 11:16 UTC by Thomas Leroy
Modified: 2022-06-10 13:21 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Leroy 2022-03-14 11:16:36 UTC
CVE-2022-0924

Out-of-bounds Read error in tiffcp in libtiff 4.3.0 allows attackers to cause a
denial-of-service via a crafted tiff file. For users that compile libtiff from
sources, the fix is available with commit 408976c4.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-0924
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-0924
https://gitlab.com/libtiff/libtiff/-/merge_requests/311
https://gitlab.com/gitlab-org/cves/-/blob/master/2022/CVE-2022-0924.json
https://gitlab.com/libtiff/libtiff/-/issues/278
Comment 1 Thomas Leroy 2022-03-14 11:17:11 UTC
The poc triggers the overflow on the following codestreams:
- SUSE:SLE-11:Update
- SUSE:SLE-12:Update
- SUSE:SLE-15:Update
- openSUSE:Factory
Comment 3 Michael Vetter 2022-05-09 10:57:20 UTC
Factory: SR#975780
SLE11: SR#271713
SLE12: SR#271714
SLE15: SR#271715
Comment 4 OBSbugzilla Bot 2022-05-09 12:40:12 UTC
This is an autogenerated message for OBS integration:
This bug (1197073) was mentioned in
https://build.opensuse.org/request/show/975780 Factory / tiff
Comment 5 Swamp Workflow Management 2022-05-16 13:41:42 UTC
SUSE-SU-2022:1667-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1195964,1195965,1197066,1197068,1197072,1197073,1197074,1197631
CVE References: CVE-2022-0561,CVE-2022-0562,CVE-2022-0865,CVE-2022-0891,CVE-2022-0908,CVE-2022-0909,CVE-2022-0924,CVE-2022-1056
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    tiff-4.0.9-44.48.1
SUSE Linux Enterprise Server 12-SP5 (src):    tiff-4.0.9-44.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-05-30 16:19:30 UTC
SUSE-SU-2022:1882-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1195964,1195965,1197066,1197068,1197072,1197073,1197074,1197631
CVE References: CVE-2022-0561,CVE-2022-0562,CVE-2022-0865,CVE-2022-0891,CVE-2022-0908,CVE-2022-0909,CVE-2022-0924,CVE-2022-1056
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    tiff-4.0.9-150000.45.8.1
openSUSE Leap 15.3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Server 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Retail Branch Server 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Proxy 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Micro 5.2 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Enterprise Storage 7 (src):    tiff-4.0.9-150000.45.8.1
SUSE Enterprise Storage 6 (src):    tiff-4.0.9-150000.45.8.1
SUSE CaaS Platform 4.0 (src):    tiff-4.0.9-150000.45.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Carlos López 2022-06-10 13:21:40 UTC
Done, closing.